<?php
// File           brazilian_portuguese.inc.php / ibWebAdmin
// Purpose        brazilian portuguese strings definitions
// Author         Paulo Vaz <paulo@multi-informatica.com.br>
// Copyright      (c) 2000, 2001, 2002, 2003, 2004 by Lutz Brueckner,
//                published under the terms of the GNU General Public Licence v.2,
//                see file LICENCE for details
// Created        <02/10/24 15:00:03 >       
//
// $Id: brazilian_portuguese.inc.php,v 1.21 2004/05/20 10:21:25 lbrueckner Exp $

// strings used for the tabfolder menu
$menu_strings = array('Database'   => 'Banco de Dados',   
                      'Tables'     => 'Tabelas',     
                      'Accessories'=> 'Acessrios',
                      'SQL'        => 'SQL',        
                      'Data'       => 'Dados',       
                      'Users'      => 'Usurios',      
                      'Admin'      => 'Administrao'       
                      );

// the coordinates for the image area used by the tabfolder menu
$menu_coords = array('Database'   => '8,0,144,33',
                     'Tables'     => '146,0,216,33',
                     'Accessories'=> '218,0,311,33',
                     'SQL'        => '313,0,352,33',
                     'Data'       => '354,0,411,33',
                     'Users'      => '413,0,488,33',
                     'Admin'      => '490,0,612,33',
                     );

// strings used as panel titles
$ptitle_strings = array('info'        => 'Informaes',
                        'db_login'    => 'Logar-se ao Banco de Dados',
                        'db_create'   => 'Criar Banco de Dados',
                        'db_delete'   => 'Apagar Banco de Dados',
                        'db_systable' => 'Tabelas de Sistema',
                        'db_meta'     => 'Metadata',
                        'tb_show'     => 'Ver Tabelas',
                        'tb_create'   => 'Criar Nova Tabela',
                        'tb_modify'   => 'Modificar Tabela',
                        'tb_delete'   => 'Apagar Tabela',
                        'acc_index'   => 'ndices',
                        'acc_gen'     => 'Generators',
                        'acc_trigger' => 'Triggers',
                        'acc_proc'    => 'Stored Procedures',
                        'acc_domain'  => 'Domains',
                        'acc_view'    => 'Views',
                        'acc_udf'     => 'User Defined Functions',
                        'acc_exc'     => 'Exceptions',
                        'sql_enter'   => 'Entre com o Comando ou Script',
                        'sql_output'  => 'Mostrar Resultado',
                        'tb_watch'    => 'Ver Tabela',
                        'dt_enter'    => 'Inserir Dados',
                        'dt_csv'      => 'Importao/Exportao CSV',
                        'usr_user'    => 'Usurios',
                        'usr_role'    => 'Roles',
                        'usr_grant'   => 'Grants',
                        'usr_cust'    => 'Customizing',
                        'adm_server'  => 'Estatsticas do Servidor',
                        'adm_dbstat'  => 'Estatsticas do Banco de Dados',
                        'adm_gfix'    => 'Database Maintenance',
                        'adm_backup'  => 'Backup',
                        'adm_restore' => 'Restore',
                        'Open'        => 'open',
                        'Close'       => 'close',
                        'Up'          => 'up',
                        'Top'         => 'top',
                        'Bottom'      => 'bottom',
                        'Down'        => 'down'
                        );

// strings to inscribe buttons
$button_strings = array('Login'    => 'Login',
                        'Logout'   => 'Logout',
                        'Create'   => 'Criar',
                        'Delete'   => 'apagar',
                        'Select'   => 'Selecionar',
                        'Save'     => 'Salvar',
                        'Reset'    => 'Recomear',
                        'Cancel'   => 'Cancelar',
                        'Add'      => 'Adicionar',
                        'Modify'   => 'Modificar',
                        'Ready'    => 'Pronto',
                        'Yes'      => 'Sim',
                        'No'       => 'No',
                        'DoQuery'  => 'Executar Query',
                        'QueryPlan'=> 'Plano da Query',
                        'Go'       => 'Ir',
                        'DisplAll' => 'Mostrar tudo',
                        'Insert'   => 'Inserir',
                        'Export'   => 'Exportar',
                        'Import'   => 'Importar',
                        'Remove'   => 'Remover',
                        'Drop'     => 'Apagar',
                        'Set'      => 'Definir',
                        'Clear'    => 'Limpar',
                        'SweepNow' => 'Sweep Now',
                        'Execute'  => 'Execute',
                        'Backup'   => 'Backup',
                        'Restore'  => 'Restore',
                        'Reload'   => 'Reload',
                        'OpenAll'  => 'Open All',
                        'CloseAll' => 'Close All',
                        'Defaults' => 'Set Defaults',
                        'Load'     => 'Load'
                        );

// strings on the database page
$db_strings = array('Database' => 'Banco de Dados',
                    'Host'     => 'Host',
                    'Username' => 'Nome do Usurio',
                    'Password' => 'Senha',
                    'Role'     => 'Role',
                    'Cache'    => 'Cache',
                    'Charset'  => 'Character Set',
                    'Dialect'  => 'Dialeto',
                    'Server'   => 'Server',
                    'NewDB'    => 'Novo Banco de Dados',
                    'PageSize' => 'Tamanho de Pgina',
                    'DelDB'    => 'Apagar Banco de Dados',
                    'SysTables'=> 'Tabelas de Sistema',
                    'SysData'  => 'Dados do Sistema',
                    'FField'   => 'Filter Field',
                    'FValue'   => 'Filter Value',
                    'Refresh'  => 'Refresh',
                    'Seconds'  => 'Seconds'
                    );

// strings on the table page
$tb_strings = array('Name'      => 'Nome',
                    'Type'      => 'Tipo',
                    'Length'    => 'Tamanho',
                    'Prec'      => 'Preciso',
                    'PrecShort' => 'Prec',
                    'Scale'     => 'Escala',
                    'Charset'   => 'Char Set',
                    'Collate'   => 'Collate',
                    'Collation' => 'Collation',
                    'NotNull'   => 'No Nulo',
                    'Unique'    => 'Unco',
                    'Computed'  => 'Calculado',
                    'Default'   => 'Padro',
                    'Primary'   => 'Primrio',
                    'Foreign'   => 'Foreign',
                    'TbName'    => 'Nome da Tabela',
                    'Fields'    => 'Campos',
                    'DefColumn' => 'Definities para a Coluna',
                    'SelTbMod'  => 'Selecione a tabela para modificar',
                    'DefNewCol' => 'Definies para a Nova Coluna',
                    'NewColPos' => 'Nova Posio para a Coluna',
                    'SelColDel' => 'Selecione uma coluna para apagar',
                    'SelColMod' => 'Selecione uma coluna para modificar',
                    'AddCol'    => 'Adicionar coluna',
                    'SelTbDel'  => 'Selecione uma tabela para apagar',
                    'Datatype'  => 'Tipo de Dado',
                    'Size'      => 'Tamanho',
                    'Subtype'   => 'Subtipo',
                    'SegSiShort'=> 'Tamanho de Segmento',
                    'Domain'    => 'Domnio',
                    'CompBy'    => 'Calculado por',
                    'Table'     => 'tabela',
                    'Column'    => 'coluna',
                    'Source'    => 'Origem',
                    'Check'     => 'Check',
                    'Yes'       => 'Sim',
                    'DispCounts'=> 'display record counts',
                    'DropPK'    => 'Drop Primary Key',
                    'DropFK'    => 'Drop Foreign Key',
                    'DropUq'    => 'Drop Unique Constraint',
                    'FKName'    => 'Foreign Key Name',
                    'OnUpdate'  => 'On Update',
                    'OnDelete'  => 'On Delete',
                    'Table1'    => 'Table',
                    'Column1'   => 'Column'
                    );

// strings on the accessories page
$acc_strings = array('CreateIdx' => 'Criar Novo ndice',
                     'ModIdx'    => 'Modificar ndice %s',
                     'Name'      => 'Nome',
                     'Active'    => 'Ativo',
                     'Unique'    => 'nico',
                     'Sort'      => 'Classificar',
                     'Table'     => 'Tabela',
                     'Columns'   => 'Colunas',
                     'SelIdxMod' => 'Selecione um ndice para modificar',
                     'SelIdxDel' => 'Selecione um ndice para apagar',
                     'ColExpl'   => 'Coluna(s), separadas por vrgula',
                     'Value'     => 'Valor',
                     'SetValue'  => 'Definir Valor',
                     'DropGen'   => 'Remover Generator',
                     'CreateGen' => 'Criar Novo Generator',
                     'StartVal'  => 'Valor Inicial',
                     'CreateTrig'=> 'Criar Nova Trigger',
                     'SelTrigMod'=> 'Selecione uma trigger para modificar',
                     'SelTrigDel'=> 'Selecione uma trigger para apagar',
                     'Type'      => 'Tipo',
                     'Pos'       => 'Pos',
                     'Position'  => 'Posio',
                     'Status'    => 'Status',
                     'Source'    => 'Origem',
                     'ModTrig'   => 'Modificar Trigger %s',
                     'CreateDom' => 'Criar Novo Domnio',
                     'SelDomDel' => 'Selecione domnio para apagar',
                     'SelDomMod' => 'Selecione domnio para modificar',
                     'Size'      => 'Tamanho',
                     'Charset'   => 'Charset',
                     'Collate'   => 'Collate',
                     'PrecShort' => 'Prec',
                     'Scale'     => 'Escala',
                     'Subtype'   => 'Subtipo',
                     'SegSiShort'=> 'Tamanho do Segmento',
                     'ModDomain' => 'Modificar Domnio %s',
                     'Generator' => 'generator',
                     'Index'     => 'ndice',
                     'Trigger'   => 'trigger',
                     'Domain'    => 'domnio',
                     'CreateProc'=> 'Criar Nova Procedure',
                     'ModProc'   => 'Modificar Procedure %s',
                     'SelProcMod'=> 'Selecione uma procedure para modificar',
                     'SelProcDel'=> 'Selecione uma procedure para apagar',
                     'SP'        => 'stored procedure',
                     'Param'     => 'Parmetros',
                     'Return'    => 'Retorno',
                     'CreateView'=> 'Create New View',
                     'SelViewDel'=> 'Select view to delete',
                     'SelViewMod'=> 'Select view to modify',
                     'CheckOpt'  => 'with check option',
                     'ModView'   => 'Modify View %s',
                     'Yes'       => 'Sim',
                     'No'        => 'No',
                     'Module'    => 'Module',
                     'EPoint'    => 'Entrypoint',
                     'IParams'   => 'Input Parameters',
                     'Returns'   => 'Returns',
                     'UDF'       => 'user defined function',
                     'SelUdfDel' => 'Select function to delete',
                     'Exception' => 'Exception',
                     'Message'   => 'Message',
                     'SelExcDel' => 'Select exception to delete',
                     'CreateExc' => 'Create new exception',
                     'SelExcMod' => 'Select exception to modify',
                     'ModExc'    => 'Modify exception %s'
                     );

// strings on the sql page incl. the watch table panel
$sql_strings = array('DisplBuf' => 'mostrando resultado do buffer',
                     'SelTable' => 'Selecione uma Tabela',
                     'Config'   => 'Configurar',
                     'Column'   => 'Coluna',
                     'Show'     => 'Mostrar',
                     'Sort'     => 'Classificar',
                     'BlobLink' => 'Blob como Link',
                     'BlobType' => 'Tipo de Blob',
                     'Rows'     => 'Linhas',
                     'Start'    => 'Iniciar',
                     'Dir'      => 'Direo',
                     'ELinks'   => 'Editar Links',
                     'DLinks'   => 'Apagar Links',
                     'Asc'      => 'Ascendente',
                     'Desc'     => 'Descendente',
                     'Restrict' => 'Condio para restringir o resultado, ex. NOMEDOCAMPO>=1000',
                     'Prev'     => 'Anterior',
                     'Next'     => 'Prximo',
                     'End'      => 'Fim',
                     'Total'    => 'total',
                     'Edit'     => 'editar',
                     'Delete'   => 'apagar',
                     'Yes'       => 'Sim',
                     'No'        => 'No',
                     'TBInline' => 'Text Blobs Inline',
                     'TBChars'  => 'Text Blob Characters'
                     );

// strings on the data page
$dt_strings = array('SelTable' => 'Selecione uma Tabela',
                    'Table'    => 'Tabela',
                    'EditFrom' => '%1$sEdit da tabela %2$s',
                    'FileName' => 'Nome do Arquivo',
                    'EntName'  => 'Informe o Nome',
                    'FileForm' => 'Formato do Arquivo',
                    'ConvEmpty'=> 'on import convert empty values to NULL',
                    'CsvForm1' => 'todos os valores entre aspas (") e separados por vrgulas',
                    'CsvForm2' => 'valores entre aspas duplas',
                    'CsvForm3' => 'data sets so separados por novas linhas(0x0a)',
                    );

// strings on the user page
$usr_strings = array('CreateUsr' => 'Criar Novo Usurio',
                     'ModUser'   => 'Modificar Usurio %s',
                     'UName'     => 'Nome no Usurio',
                     'FName'     => 'Primeiro Nome',
                     'MName'     => 'Sobrenome Intermedirio',
                     'LName'     => 'ltimo Sobrenome',
                     'UserID'    => 'ID do Usurio',
                     'GroupID'   => 'ID do Grupo',
                     'SysdbaPW'  => 'senha do SYSDBA',
                     'Required'  => 'requerido para criar, modificar e apagar',
                     'USelMod'   => 'Selecione um usurio para modificar',
                     'USelDel'   => 'Selecione um usurio para apagar',
                     'Password'  => 'Senha',
                     'RepeatPW'  => 'Senha (Repetir)',
                     'Name'      => 'Nome',
                     'Owner'     => 'Dono',
                     'Members'   => 'Membros',
                     'Role'      => 'Role',
                     'User'      => 'Usurio',
                     'CreateRole'=> 'Criar uma nova role',
                     'RoleSelDel'=> 'Selecione uma role para apagar',
                     'RoleAdd'   => 'Adicionar na role',
                     'RoleRem'   => 'Remover da role',
                     'ColSet'    => 'Color Settings',
                     'CBg'       => 'Background',
                     'CPanel'    => 'Panel Frame',
                     'CArea'     => 'Panel Background',
                     'CHeadline' => 'Headline Background',
                     'CMenubrd'  => 'Menuborder',
                     'CLink'     => 'Links',
                     'CHover'    => 'Links while Mouseover',
                     'CSelRow'   => 'Selected Rows',
                     'CSelInput' => 'Selected Input Fields',
                     'CFirstRow' => 'Odd Table Rows',
                     'CSecRow'   => 'Even Table Rows',
                     'Appearance'=> 'Appearance',
                     'Language'  => 'Language',
                     'Fontsize'  => 'Fontsize in Points',
                     'TACols'    => 'Textarea Columns',
                     'TARows'    => 'Textarea Rows',
                     'Attitude'  => 'Attitude',
                     'AskDel'    => 'Confirm deletion of objects and data',
                     'Yes'       => 'Sim',
                     'No'        => 'No'
                    );

// strings on the admin page
$adm_strings = array('SysdbaPW'  => 'senha do SYSDBA',
                     'Required'  => 'required if you are not the database owner',
                     'Sweeping'  => 'Sweeping',
                     'SetInterv' => 'Set sweep threshold (number transactions)',
                     'DBDialect' => 'DB Dialect',
                     'Buffers'   => 'Cache Buffers',
                     'AccessMode'=> 'Access Mode',
                     'WriteMode' => 'Write Mode',
                     'ReadWrite' => 'read/write',
                     'ReadOnly'  => 'read only',
                     'Sync'      => 'synchronous',
                     'Async'     => 'asynchronous',
                     'DataRepair'=> 'Data Repair',
                     'Validate'  => 'Validate',
                     'Full'      => 'Full',
                     'Mend'      => 'Mend',
                     'NoUpdate'  => 'No Update',
                     'IgnoreChk' => 'Ignore Checksum Errors',
                     'Transact'  => 'Transactions',
                     'Shutdown'  => 'Shutdown',
                     'Commit'    => 'Commit',
                     'Rollback'  => 'Rollback',
                     'TwoPhase'  => 'Two Phase Recovery',
                     'AllLimbo'  => 'all limbo transactions',
                     'NoConns'   => 'No New Connections',
                     'NoTrans'   => 'No New Transactions',
                     'Force'     => 'Force',
                     'ForSeconds'=> 'for/after %s seconds',
                     'Reconnect' => 'Reconnect ibWebAdmin after the shutdown',
                     'PConnect'  => 'You have configured PERSISTENT_CONNECTION=TRUE, this can cause failures.',
                     'Rescind'   => 'Rescind Shutdown',
                     'BTarget'   => 'Backup Target',
                     'FDName'    => 'File or device name',
                     'ServiceMgr'=> 'Service manager',
                     'BlFactor'  => 'Blocking factor',
                     'Options'   => 'Options',
                     'BConvert'  => 'Convert external files as internal tables',
                     'BCreate'   => 'Create a noncompressed backup',
                     'BNoGC'     => 'Do not garbage collect during backup',
                     'BIgnoreCS' => 'Ignore Checksums during backup',
                     'BIgnoreLT' => 'Ignore limbo transactions during backup',
                     'BTransport'=> 'Backup in non transportable format',
                     'BMDOnly'   => 'Backup only metadata',
                     'BMDOStyle' => 'Metadata in old-style format',
                     'RSource'   => 'Restore Source',
                     'RTarget'   => 'Restore Target',
                     'TargetDB'  => 'Target database',
                     'NewFile'   => 'Restore to new file',
                     'RestFile'  => 'Replace existing file',
                     'PageSize'  => 'Page Size',
                     'UseAll'    => 'Restore Database with 100% fill ratio on every data page',
                     'OneAtTime' => 'Restore one table at a time',
                     'IdxInact'  => 'Indexes inactive upon restore',
                     'NoValidity'=> 'Delete validity constraints from restored metadata',
                     'KillShad'  => 'Do not create previously defined shadow files',
                     'ConnAfter' => 'Connect ibWebAdmin to the restored database'
                     );

// strings for the info-panel
$info_strings = array('Connected' => 'conectado ao Banco de Dados',
                      'ExtResult' => 'Resultado de um comando externo',
                      'IBError'   => 'Erro do Firebird',
                      'ExtError'  => 'Erro de um comando externo',
                      'Error'     => 'Erro',
                      'Warning'   => 'Ateno',
                      'Message'   => 'Mensagem',
                      'ComCall'   => 'Chamada  um Comando',
                      'Debug'     => 'Sada do Debug',
                      'PHPError'  => 'PHP Error'
                      );

$MESSAGES = array('BLOB_BROKEN_INFO'      => "O suporte  Blobs est quebrado (pelo menos no php4.0.2 e php4.0.3).<br>\n"
                                            ."Se voc precisa suporte  Blobs voc precisa atualizar sua instalao do php.<br>\n",
                  'SP_CREATE_INFO'        => 'ibWebAdmin criou uma stored procedure "'.SP_LIMIT_NAME.'" que ser utilizada pela funo Ver Tabela '
                                            ."e salvou isto em seu Banco de Dados.<br>\n"
                                            .'Se muitas pessoas estiverem usando o ibWebAdmin ao mesmo tempo, por favor mude o valor '
                                            ."de WATCHTABLE_METHOD no arquivo inc/configuration.inc.php.<br>\n",
                  'EDIT_ADD_PRIMARY'      => "Se a edio estiver habilitada os campos da chave primria devem ser selecionados para exibio na configurao de Ver Tabela.<br>\n"
                                            ."O programa fez uma auto-seleco dos campos de ndices primrios necessrios.",
                  'DELETE_CON_DB'         => "Voc no pode apagar um banco de dados em uso. Agora o ibWebaAdmin no est mais conectado  %s.<br>Por favor tente novamente.<br>\n",
                  'CSV_IMPORT_COUNT'      => "%1\$d linhas importadas para a tabela %2\$s<br>\n",
                  'CONFIRM_TABLE_DELETE'  => 'Voc realmente deseja apagar a tabela %s?',
                  'CONFIRM_COLUMN_DELETE' => 'Voc realmente deseja apagar a coluna %1$s da tabela %2$s?',
                  'CONFIRM_DB_DELETE'     => 'Voc realmente deseja apagar o banco de dados %s?',
                  'CONFIRM_TRIGGER_DELETE'=> 'Voc realmente deseja apagar a trigger %s?',
                  'CONFIRM_DOMAIN_DELETE' => 'Voc realmente deseja apagar o domnio %s?',
                  'CONFIRM_INDEX_DELETE'  => 'Voc realmente deseja apagar o ndice %s?',
                  'CONFIRM_GEN_DELETE'    => 'Voc realmente deseja apagar o generator %s?',
                  'CONFIRM_USER_DELETE'   => 'Voc realmente deseja apagar o usurio %s?',
                  'CONFIRM_ROW_DELETE'    => 'Voc realmente deseja apagar da tabela %s %s?',
                  'CONFIRM_SP_DELETE'     => 'Voc realmente deseja apagar a stored procedure %s?',
                  'CONFIRM_VIEW_DELETE'   => 'Do you really want to delete the view %s?',
                  'CONFIRM_UDF_DELETE'    => 'Do you really want to delete the function %s?',
                  'NO_VIEW_SUPPORT'       => "Editar ou apagar a partir de Views no  atualmente possvel.<br>\n",
                  'CREATE_DB_SUCCESS'     => "Banco de Dados %s criado com sucesso.\n",
                  'HAVE_DEPENDENCIES'     => 'Voc precisa apagar os seguintes objetos antes de apagar %1$s %2$s: %3$s',
                  'COOKIES_NEEDED'        => 'You have to enable cookies in your browser settings if you want to use the customizing feature!'
                  );

$WARNINGS = array('CAN_NOT_EXPORT_BLOBS'  => "Os campos Blob na tabela que voc selecionou esto omitidos.<br>\n"
                                            ."Somente exportao de Blobs do tipo texto so suportados na exportao csv.<br>\n",
                  'CAN_NOT_IMPORT_BLOBS'  => "The blob fields in the table you have selected are omitted.<br>\n"
                                            ."Somente a importao de Blobs texto  possvel no csv.<br>\n",
                  'SELECT_TABLE_FIRST'    => "Por favor selecione uma tablea primeiro<br>\n",
                  'SELECT_FILE_FIRST'     => "Por favor selecione um arquivo de importao primeiro<br>\n",
                  'CAN_NOT_ALTER_DOMAINS' => "Alterao de colunas baseadas em domnios no  possvel com o Firebird.<br>\n"
                                            ."Ao invs disto mude a definio do domnio na pgina Acessrios.<br>\n",
                  'CAN_NOT_EDIT_TABLE'    => "No foi possvel editar na tabela selecionada.<br>\n"
                                            ."Somente tabelas com um ndice de chave primria so editveis.<br>\n",
                  'CAN_NOT_DEL_TABLE'     => "No foi possvel apagar na tabela selecionada.<br>\n"
                                            ."Somente tabelas com um ndice de chave primria podem ter linhas apagadas.<br>\n",
                  'DEL_NO_PERMISSON'      => "Voc no tem permisso para apagar/escrever na tabela %s<br>\n",
                  'EDIT_NO_PERMISSON'     => "Voc no tem permisso para alterar/escrever na tabela %s<br>\n",
                  'CAN_NOT_ACCESS_DIR'    => "O Servidor Web falhou ao acessar o diretrio %s<br>\n",
                  'NAME_IS_KEYWORD'       => "%s  uma palavra reservada do Firebird<br>\n", 
                  'NAMES_ARE_KEYWORDS'    => "%s so palavras reservadas do Firebird<br>\n",
                  'NEED_SYSDBA_PW'        => "a senha do SYSDBA's  requerida para criar, modificar ou apagar usurios.<br>\n",
                  'PW_REQUIRED'           => "A senha  requerida<br>\n",
                  'UN_REQUIRED'           => "O nome do usurio  requerido<br>\n",
                  'PW_WRONG_REPEAT'       => "A confirmao da senha est incorreta.<br>\n",
                  'BAD_ISQLPATH'          => "O executvel do isql no est instalado em %s!<br>\n"
                                            ."Por favor verifique o valor para BINPATH em inc/configuration.inc.php.<br>\n"
                  );

$ERRORS   = array('CREATE_DB_FAILED'      => 'Criao do Banco de Dados <b>%s</b> falhou!',
                  'NO_DB_SELECTED'        => 'Selecione um nome de banco de dados primeiro!<br>',
                  'WRONG_DB_SUFFIX'       => 'O nome do banco de dados deve ser terminado com <b>%s</b>',
                  'DB_NOT_ALLOWED'        => 'Acesso  <b>%s</b> no permitido.<br>'
                                             .'(verifique $ALLOWED_FILES e $ALLOWED_DIRS em inc/configuration.php)',
                  'NO_IBASE_MODULE'       => '<b>Sua instalao do php est sem o suporte  Firebird!</b><br>'
                                            .'Recompile o php e configure --with-interbase[=DIR]<br>'
                                            .'ou modifique o arquivo php.ini para carregar o interbase.so respectivamente interbase.dll.',
                  'DISABLED_CMD'          => 'Declaraes Sql contendo "%s" so proibidas pela configuo!',
                  'BAD_BINPATH'           => "Unable to find the command <b>%s</b> !\n"
                                            ."Por favor verifique o valor para BINPATH em inc/configuration.inc.php.\n"
                  );

// charset encoding  for html output
$charset = 'iso-8859-1';

?>