<?php
// File           dutch.inc.php / ibWebAdmin
// Purpose        dutch strings definitions
// Author         Michael van Canneyt <Michael.VanCanneyt@Wisa.be
// Copyright      (c) 2000, 2001, 2002, 2003, 2004 by Lutz Brueckner,
//                published under the terms of the GNU General Public Licence v.2,
//                see file LICENCE for details
// Created        <03/06/18 21:06:00 >       
//
// $Id: dutch.inc.php,v 1.13 2004/05/20 10:21:25 lbrueckner Exp $

// strings used for the tabfolder menu
$menu_strings = array('Database'    => 'Databank',   
                      'Tables'      => 'Tabellen',     
                      'Accessories' => 'Accessoires',
                      'SQL'         => 'SQL',
                      'Data'        => 'Gegevens',       
                      'Users'       => 'Gebruikers',      
                      'Admin'       => 'Admin'       
                      );

// the coordinates for the image area used by the tabfolder menu
$menu_coords = array('Database'   => '8,0,91,31',
                     'Tables'     => '93,0,170,31',
                     'Accessories'=> '172,0,275,31',
                     'SQL'        => '277,0,316,31',
                     'Data'       => '318,0,406,33',
                     'Users'      => '408,0,504,33',
                     'Admin'      => '506,0,563,33',
                     );

// strings used as panel titles
$ptitle_strings = array('info'        => 'Info', 
                        'db_login'    => 'Aanmelden aan Databank',  
                        'db_create'   => 'Databank aanmaken',
                        'db_delete'   => 'Database verwijderen',    
                        'db_systable' => 'Systeem Tabellen',      
                        'db_meta'     => 'Metadata',      
                        'tb_show'     => 'Tabellen bekijken',
                        'tb_create'   => 'Tabel aanmaken',   
                        'tb_modify'   => 'Tabel wijzigen',
                        'tb_delete'   => 'Tabel verwijderen',       
                        'acc_index'   => 'Indexen',        
                        'acc_gen'     => 'Generatoren',
                        'acc_trigger' => 'Triggers',          
                        'acc_proc'    => 'Stored Procedures',          
                        'acc_domain'  => 'Domeinen',
                        'acc_view'    => 'Views',
                        'acc_udf'     => 'User Defined Functions',
                        'acc_exc'     => 'Exceptions',
                        'sql_enter'   => 'Commando of programma ingeven',
                        'sql_output'  => 'Weergave gegevens', 
                        'tb_watch'    => 'Tabel bekijken',
                        'dt_enter'    => 'Gegevens inbrengen',
                        'dt_csv'      => 'CSV Import/Export',
                        'usr_user'    => 'Gebruikers',              
                        'usr_role'    => 'Rollen',              
                        'usr_grant'   => 'Grants',
                        'usr_cust'    => 'Customizing',
                        'adm_server'  => 'Server Statistieken', 
                        'adm_dbstat'  => 'Databank Statistieken',
                        'adm_gfix'    => 'Databank Onderhoud',
                        'adm_backup'  => 'back-up',
                        'adm_restore' => 'Terugplaatsen back-up',
                        'Open'        => 'Open',
                        'Close'       => 'Sluit',
                        'Up'          => 'Op',
                        'Top'         => 'Top',
                        'Bottom'      => 'Bodem',
                        'Down'        => 'Neer'
                        );

// strings to inscribe buttons
$button_strings = array('Login'    => 'Aanmelden',
                        'Logout'   => 'Afmelden',
                        'Create'   => 'Aanmaken',
                        'Delete'   => 'Verwijderen',
                        'Select'   => 'Selecteren',
                        'Save'     => 'Bewaren',
                        'Reset'    => 'Leegmaken',
                        'Cancel'   => 'Annuleren',
                        'Add'      => 'Toevoegen',
                        'Modify'   => 'Wijzigen',
                        'Ready'    => 'Klaar',
                        'Yes'      => 'Ja',
                        'No'       => 'Nee',
                        'DoQuery'  => 'Query uitvoeren',
                        'QueryPlan'=> 'Query Plan',
                        'Go'       => 'Start',
                        'DisplAll' => 'Alles tonen',
                        'Insert'   => 'Invoegen',
                        'Export'   => 'Exporteren',
                        'Import'   => 'Importeren',
                        'Remove'   => 'Verwijderen',
                        'Drop'     => 'Drop',
                        'Set'      => 'Instellen',
                        'Clear'    => 'Leegmaken',
                        'SweepNow' => 'Sweep Nu',
                        'Execute'  => 'Uitvoeren',
                        'Backup'   => 'back-up',
                        'Restore'  => 'back-up terugzetten',
                        'Reload'   => 'Herladen',
                        'OpenAll'  => 'Alles openen',
                        'CloseAll' => 'Alles sluiten',
                        'Defaults' => 'Set Defaults',
                        'Load'     => 'Load'
                        );

// strings on the database page
$db_strings = array('Database' => 'Databank',
                    'Host'     => 'Computer',
                    'Username' => 'Gebruikersnaam',
                    'Password' => 'Wachtwoord',
                    'Role'     => 'Rol',
                    'Cache'    => 'Cache',
                    'Charset'  => 'Karakters',
                    'Dialect'  => 'Dialect',
                    'Server'   => 'Server',
                    'NewDB'    => 'Nieuwe Databank',
                    'PageSize' => 'Paginagrootte',
                    'DelDB'    => 'Databank verwijderen',
                    'SysTables'=> 'Systeem Tabellen',
                    'SysData'  => 'Systeem gegevens',
                    'FField'   => 'Filter Field',
                    'FValue'   => 'Filter Value',
                    'Refresh'  => 'Refresh',
                    'Seconds'  => 'Seconds'
                    );

// strings on the table page
$tb_strings = array('Name'      => 'Naam',
                    'Type'      => 'Type',
                    'Length'    => 'Lengte',
                    'Prec'      => 'Precisie',
                    'PrecShort' => 'Prec',
                    'Scale'     => 'Schaal',
                    'Charset'   => 'Kar. Set',
                    'Collate'   => 'Vergelijk',
                    'Collation' => 'Vergelijking',
                    'NotNull'   => 'Niet Null',
                    'Unique'    => 'Uniek',
                    'Computed'  => 'Berekend',
                    'Default'   => 'Standaard',
                    'Primary'   => 'Primary',
                    'Foreign'   => 'Foreign',
                    'TbName'    => 'Tabelnaam',
                    'Fields'    => 'Velden',
                    'DefColumn' => 'Definities voor kolom',
                    'SelTbMod'  => 'Selecteer te wijzigen tabel',
                    'DefNewCol' => 'Definitie for Nieuwe kolom',
                    'NewColPos' => 'Nieuwe kolom positie',
                    'SelColDel' => 'Selecteer te verwijderen kolom',
                    'SelColMod' => 'Selecteer te wijzigen kolom',
                    'AddCol'    => 'Kolom toevoegen',
                    'SelTbDel'  => 'Selecteer te verwijderen tabel',
                    'Datatype'  => 'Gegevenstype',
                    'Size'      => 'Grootte',
                    'Subtype'   => 'Subtype',
                    'SegSiShort'=> 'SegGrootte',
                    'Domain'    => 'Domein',
                    'CompBy'    => 'Berekend door',
                    'Table'     => 'tabel',
                    'Column'    => 'kolom',
                    'Source'    => 'Bron',
                    'Check'     => 'Check',
                    'Yes'       => 'Ja',
                    'DispCounts'=> 'Toon aantal records',
                    'DropPK'    => 'Drop Primary Key',
                    'DropFK'    => 'Drop Foreign Key',
                    'DropUq'    => 'Drop Unique Constraint',
                    'FKName'    => 'Foreign Key Name',
                    'OnUpdate'  => 'On Update',
                    'OnDelete'  => 'On Delete',
                    'Table1'    => 'Table',
                    'Column1'   => 'Column'
                    );

// strings on the accessories page
$acc_strings = array('CreateIdx' => 'Nieuwe Index aanmaken',
                     'ModIdx'    => 'Index %s wijzigen',
                     'Name'      => 'Naam',
                     'Active'    => 'Actief',
                     'Unique'    => 'Uniek',
                     'Sort'      => 'Sorteren',
                     'Table'     => 'Tabel',
                     'Columns'   => 'Kolommen',
                     'SelIdxMod' => 'Selecteer te wijzigen index',
                     'SelIdxDel' => 'Selecteer te verwijderen index',
                     'ColExpl'   => 'Kolom(men), door commas gescheiden',
                     'Value'     => 'Waarde',
                     'SetValue'  => 'Waarde instellen',
                     'DropGen'   => 'Generator verwijderen',
                     'CreateGen' => 'Nieuwe Generator aanmaken',
                     'StartVal'  => 'Aanvangswaarde',
                     'CreateTrig'=> 'Nieuwe Trigger aanmaken',
                     'SelTrigMod'=> 'Selecteer te wijzigen trigger',
                     'SelTrigDel'=> 'Selecteer te verwijderen trigger',
                     'Type'      => 'Type',
                     'Pos'       => 'Pos',
                     'Position'  => 'Positie',
                     'Status'    => 'Status',
                     'Source'    => 'Bron',
                     'ModTrig'   => 'Wijzig Trigger %s',
                     'CreateDom' => 'Nieuw Domein aanmaken',
                     'SelDomDel' => 'Selecteer te verwijderen domein',
                     'SelDomMod' => 'Selecteer te wijzigen domein',
                     'Size'      => 'Grootte',
                     'Charset'   => 'Karakter set',
                     'Collate'   => 'Vergelijk',
                     'PrecShort' => 'Prec',
                     'Scale'     => 'Schaal',
                     'Subtype'   => 'Subtype',
                     'SegSiShort'=> 'Seggrootte',
                     'ModDomain' => 'Wijzig Domein %s',
                     'Generator' => 'generator',
                     'Index'     => 'index',
                     'Trigger'   => 'trigger',
                     'Domain'    => 'domein',
                     'CreateProc'=> 'Nieuwe Procedure aanmaken',
                     'ModProc'   => 'Wijzig Procedure %s',
                     'SelProcMod'=> 'Selecteer te wijzigen procedure',
                     'SelProcDel'=> 'Selecteer te verwijderen procedure',
                     'SP'        => 'stored procedure',
                     'Param'     => 'Parameters',
                     'Return'    => 'Terug',
                     'CreateView'=> 'Nieuwe View aanmaken',
                     'SelViewDel'=> 'Selecteer te verwijderen view',
                     'SelViewMod'=> 'Selecteer te wijzigen view',
                     'CheckOpt'  => 'Met check optie',
                     'ModView'   => 'Wijzig View %s',
                     'Yes'       => 'Ja',
                     'No'        => 'Nee',
                     'Module'    => 'Module',
                     'EPoint'    => 'Entrypoint',
                     'IParams'   => 'Input Parameters',
                     'Returns'   => 'Returns',
                     'UDF'       => 'user defined function',
                     'SelUdfDel' => 'Select function to delete',
                     'Exception' => 'Exception',
                     'Message'   => 'Message',
                     'SelExcDel' => 'Select exception to delete',
                     'CreateExc' => 'Create new exception',
                     'SelExcMod' => 'Select exception to modify',
                     'ModExc'    => 'Modify exception %s'
                     );

// strings on the sql page incl. the watch table panel
$sql_strings = array('DisplBuf' => 'Toon resultaat van buffer',
                     'SelTable' => 'Selecteer Tabel',
                     'Config'   => 'Configuratie',
                     'Column'   => 'Kolom',
                     'Show'     => 'Toon',
                     'Sort'     => 'Sorteer',
                     'BlobLink' => 'Blob als Link',
                     'BlobType' => 'Blob Type',
                     'Rows'     => 'Rijen',
                     'Start'    => 'Start',
                     'Dir'      => 'Richting',
                     'ELinks'   => 'Links bewerken',
                     'DLinks'   => 'Links verwijderen',
                     'Asc'      => 'Oplopend',
                     'Desc'     => 'Aflopend',
                     'Restrict' => 'Voorwaarde om resultaat te beperken, bv. FIELDNAME>=1000',
                     'Prev'     => 'Vorige',
                     'Next'     => 'Volgende',
                     'End'      => 'Einde',
                     'Total'    => 'totaal',
                     'Edit'     => 'Bewerk',
                     'Delete'   => 'Verwijder',
                     'Yes'      => 'Yes',
                     'No'       => 'No',
                     'Yes'      => 'Ja',
                     'No'       => 'Nee',
                     'TBInline' => 'Text Blobs Inline',
                     'TBChars'  => 'Text Blob Characters'
                     );

// strings on the data page
$dt_strings = array('SelTable' => 'Selecteer Tabel',
                    'Table'    => 'Tabel',
                    'EditFrom' => '%1$sbewerk van tabel %2$s',
                    'FileName' => 'Bestandsnaam',
                    'EntName'  => 'Naam ingeven',
                    'FileForm' => 'Bestandsformaat',
                    'ConvEmpty'=> 'on import convert empty values to NULL',
                    'CsvForm1' => 'Alle waarden zijn ingesloten door quotes (") en gescheiden door commas',
                    'CsvForm2' => 'Quotatie tekens binnenin waarden zijn verdubbeld',
                    'CsvForm3' => 'Records zijn gescheiden door nieuwe-lijn tekens (0x0a)',

                    );

// strings on the user page
$usr_strings = array('CreateUsr' => 'Nieuwe gebruiker aanmaken',
                     'ModUser'   => 'Wijzig gebruiker %s',
                     'UName'     => 'Gebruikersnaam',
                     'FName'     => 'Voornaam',
                     'MName'     => 'Middelste naam',
                     'LName'     => 'Familienaam',
                     'UserID'    => 'Gebruikers ID',
                     'GroupID'   => 'Groep ID',
                     'SysdbaPW'  => 'SYSDBA wachtwoord',
                     'Required'  => 'Vereist om aan te maken, wijzigen of verwijderen',
                     'USelMod'   => 'Selecteer te wijzigen gebruiker',
                     'USelDel'   => 'Selecteer te verwijderen gebruiker',
                     'Password'  => 'Wachtwoord',
                     'RepeatPW'  => 'Opnieuw wachtwoord',
                     'Name'      => 'Naam',
                     'Owner'     => 'Eigenaar',
                     'Members'   => 'Leden',
                     'Role'      => 'Rollen',
                     'User'      => 'Gebruikers',
                     'CreateRole'=> 'Nieuwe rol aanmaken',
                     'RoleSelDel'=> 'Selecteer te verwijderen rol',
                     'RoleAdd'   => 'Aan rol toevoegen',
                     'RoleRem'   => 'Uit rol verwijderen',
                     'ColSet'    => 'Color Settings',
                     'CBg'       => 'Background',
                     'CPanel'    => 'Panel Frame',
                     'CArea'     => 'Panel Background',
                     'CHeadline' => 'Headline Background',
                     'CMenubrd'  => 'Menuborder',
                     'CLink'     => 'Links',
                     'CHover'    => 'Links while Mouseover',
                     'CSelRow'   => 'Selected Rows',
                     'CSelInput' => 'Selected Input Fields',
                     'CFirstRow' => 'Odd Table Rows',
                     'CSecRow'   => 'Even Table Rows',
                     'Appearance'=> 'Appearance',
                     'Language'  => 'Language',
                     'Fontsize'  => 'Fontsize in Points',
                     'TACols'    => 'Textarea Columns',
                     'TARows'    => 'Textarea Rows',
                     'Attitude'  => 'Attitude',
                     'AskDel'    => 'Confirm deletion of objects and data',
                     'No'        => 'No',
                     'Yes'       => 'Ja'
                    );

// strings on the admin page
$adm_strings = array('SysdbaPW'  => 'SYSDBA wachtwoord',
                     'Required'  => 'vereist indien u niet de databank eigenaar bent',
                     'Sweeping'  => 'Bezig met sweep',
                     'SetInterv' => 'Sweep drempel instellen (aantal transactions)',
                     'DBDialect' => 'DB Dialect',
                     'Buffers'   => 'Cache Buffers',
                     'AccessMode'=> 'Toegangsmodus',
                     'WriteMode' => 'Schrijf modus',
                     'ReadWrite' => 'Lezen en schrijven',
                     'ReadOnly'  => 'Alleen lezen',
                     'Sync'      => 'synchroon',
                     'Async'     => 'asynchroon',
                     'DataRepair'=> 'Gegevens herstellen',
                     'Validate'  => 'Valideren',
                     'Full'      => 'Volledig',
                     'Mend'      => 'Herstellen',
                     'NoUpdate'  => 'Geen aanpassingen',
                     'IgnoreChk' => 'Checksum fouten negeren',
                     'Transact'  => 'Transacties',
                     'Shutdown'  => 'Afsluiten',
                     'Commit'    => 'Commit',
                     'Rollback'  => 'Rollback',
                     'TwoPhase'  => 'Twee-fasen herstel',
                     'AllLimbo'  => 'alle limbo transacties',
                     'NoConns'   => 'Geen nieuwe verbindingen',
                     'NoTrans'   => 'Geen nieuwe transacties',
                     'Force'     => 'Forceren',
                     'ForSeconds'=> 'Na %s seconden',
                     'Reconnect' => 'ibWebAdmin opnieuw verbinden na het afsluiten',
                     'PConnect'  => 'U heeft de PERSISTENT_CONNECTION op TRUE ingesteld, dit kan fouten veroorzaken.',
                     'Rescind'   => 'Afsluiten ongedaan maken',
                     'BTarget'   => 'Locatie back-up',
                     'FDName'    => 'Naam van bestand of apparaat',
                     'ServiceMgr'=> 'Service manager',
                     'BlFactor'  => 'Blocking factor',
                     'Options'   => 'Opties',
                     'BConvert'  => 'Externe bestanden naar interne tabellen omzetten',
                     'BCreate'   => 'Back-up niet comprimeren',
                     'BNoGC'     => 'Lege ruimte niet opruimen gedurende aanmaak back-up',
                     'BIgnoreCS' => 'Checksums negeren gedurende aanmaak back-up',
                     'BIgnoreLT' => 'limbo transacties negeren gedurende aanmaak back-up',
                     'BTransport'=> 'Back-up in niet transporteerbaar formaat',
                     'BMDOnly'   => 'Alleen kopie van meta-gegevens',
                     'BMDOStyle' => 'Meta-gegevens in oude stijl',
                     'RSource'   => 'Terugzetten vanaf',
                     'RTarget'   => 'Terugzetten naar',
                     'TargetDB'  => 'Terugzetten in databank',
                     'NewFile'   => 'Terugzetten in nieuw bestand',
                     'RestFile'  => 'Bestaand bestand vervangen',
                     'PageSize'  => 'Pagina grootte',
                     'UseAll'    => 'Databank aanmaken met 100% opvulling per pagina',
                     'OneAtTime' => 'Een tabel per keer',
                     'IdxInact'  => 'Indexen deactiveren tijdens terugzetten',
                     'NoValidity'=> 'Consistentie checks verwijderen uit metadata',
                     'KillShad'  => 'Schadowbestanden niet opnieuw aanmaken',
                     'ConnAfter' => 'Verbind ibWebAdmin met de teruggezette databank'
                     );

// strings for the info-panel
$info_strings = array('Connected' => 'Aangemeld aan databank',
                      'ExtResult' => 'Resultaat van extern commando',
                      'IBError'   => 'InterBase fout',
                      'ExtError'  => 'Fout van extern commando',
                      'Error'     => 'Fout',
                      'Warning'   => 'Waarschuwing',
                      'Message'   => 'Bericht',
                      'ComCall'   => 'Commando:',
                      'Debug'     => 'Debug weergave',
                      'PHPError'  => 'PHP Error'
                      );

$MESSAGES = array('BLOB_BROKEN_INFO'      => "Blob functionaliteir is defect (minstens php4.0.2 en php4.0.3).<br>\n"
                                            ."Indien U blob functionaliteit nodig heeft, gelieve uw PHP installatie aan te passen.<br>\n",
                  'SP_CREATE_INFO'        => 'ibWebAdmin heeft in uw databank een stored procedure "'.SP_LIMIT_NAME.'" aangemaakt, gebruikt door de functie tabel bekijken.<br>\n'
                                            .'Indien meerdere mensen ibWebAdmin tegelijkertijd gebruiken, gelieve de waarde van '
                                            ."WATCHTABLE_METHOD in het bestand inc/configuration.inc.php aan te passen.<br>\n",
                  'EDIT_ADD_PRIMARY'      => "Indien bewerken toegestaan is, moeten velden van de primaire sleutel gekozen worden in the tabel bekijken configuratie.<br>\n"
                                            ."Het programma heeft zelf de nodige primaire index velden gekozen.",
                  'DELETE_CON_DB'         => "Een databank in gebruik kan niet verwijderd worden. ibWebaAdmin is niet langer aangemeld aan %s.<br>Probeert u opnieuw a.u.b..<br>\n",
                  'CSV_IMPORT_COUNT'      => "%1\$d rijen geimporteerd in tabel %2\$s<br>\n",
                  'CONFIRM_TABLE_DELETE'  => 'Tabel %s verwijderen, bent u zeker ?',
                  'CONFIRM_COLUMN_DELETE' => 'Kolom %1$s van tabel %2$s verwijderen, bent u zeker?',
                  'CONFIRM_DB_DELETE'     => 'Databank %s verwijderen, bent u zeker?',
                  'CONFIRM_TRIGGER_DELETE'=> 'Trigger %s verwijderen, bent u zeker?',
                  'CONFIRM_DOMAIN_DELETE' => 'Domein %s verwijderen, bent u zeker?',
                  'CONFIRM_INDEX_DELETE'  => 'Index %s? verwijderen, bent u zeker?',
                  'CONFIRM_GEN_DELETE'    => 'Generator %s verwijderen, bent u zeker?',
                  'CONFIRM_USER_DELETE'   => 'Gebruiker %s verwijderen, bent u zeker?',
                  'CONFIRM_ROW_DELETE'    => 'Vanuit tabel %s %s verwijderen, bent u zeker?',
                  'CONFIRM_SP_DELETE'     => 'Stored procedure %s verwijderen, bent u zeker?',
                  'CONFIRM_VIEW_DELETE'   => 'View %s verwijderen, bent u zeker ?',
                  'CONFIRM_UDF_DELETE'    => 'Do you really want to delete the function %s?',
                  'NO_VIEW_SUPPORT'       => "Bewerken en verwijderen uit views is nog niet ondersteund.<br>\n",
                  'CREATE_DB_SUCCESS'     => "Databank %s met succes aangemaakt.\n",
                  'HAVE_DEPENDENCIES'     => 'U moet de volgende objecten verwijdern alvorens u %1$s %2$s: %3$s',
                  'COOKIES_NEEDED'        => 'You have to enable cookies in your browser settings if you want to use the customizing feature!'
                  );

$WARNINGS = array('CAN_NOT_EXPORT_BLOBS'  => "De blob velden die u geselecteerd hebt werden genegeerd.<br>\n"
                                            ."Alleen de csv uitvoer van tekst blobs is ondersteund.<br>\n",
                  'CAN_NOT_IMPORT_BLOBS'  => "De blob velden die u geselecteerd hebt werden genegeerd.<br>\n"
                                            ."Alleen de csv import van tekst blobs is ondersteund.<br>\n",
                  'SELECT_TABLE_FIRST'    => "Gelieve eerst een tabel te selecteren<br>\n",
                  'SELECT_FILE_FIRST'     => "Gelieve eerst een import-bestand te kiezen<br>\n",
                  'CAN_NOT_ALTER_DOMAINS' => "Wijzigen van kolommen gebaseerd op een domein is niet ondersteund door InterBase.<br>\n"
                                            ."Gelieve de domein definitie aan te passen op Accessoires pagina.<br>\n",
                  'CAN_NOT_EDIT_TABLE'    => "Bewerken van de geselecteerde tabel is niet mogelijk.<br>\n"
                                            ."Alleen tabellen met een primaire sleutel zijn bewerkbaar.<br>\n",
                  'CAN_NOT_DEL_TABLE'     => "Verwijderen uit de geselecteerde tabel is niet mogelijk.<br>\n"
                                            ."Alleen uit tabellen met een primaire sleutel kunnen rijen verwijderd worden.<br>\n",
                  'DEL_NO_PERMISSON'      => "U heeft geen toestemming voor verwijder/schrijf bewerkingen op tabel %s<br>\n",
                  'EDIT_NO_PERMISSON'     => "U heeft geen toestemming voor aanpassen/schrijf bewerkingen op tabel %s<br>\n",
                  'CAN_NOT_ACCESS_DIR'    => "De webserver kon de map %s niet aanspreken<br>\n",
                  'NAME_IS_KEYWORD'       => "%s is een gereserveerd interbase sleutelwoord<br>\n", 
                  'NAMES_ARE_KEYWORDS'    => "%s zijn gereserveerde interbase sleutelwoorden<br>\n",
                  'NEED_SYSDBA_PW'        => "SYSDBA's wachtwoord is vereist om gebrikers aan te maken, wijzigen of verwijderen.<br>\n",
                  'PW_REQUIRED'           => "Het wachtwoord is vereist<br>\n",
                  'UN_REQUIRED'           => "De gebruikersnaam is vereist<br>\n",
                  'PW_WRONG_REPEAT'       => "De wachtwoord bevestiging was niet correct.<br>\n",
                  'BAD_ISQLPATH'          => "Het isql programma is niet beschikbaar in  %s!<br>\n"
                                            ."Gelieve de waarde voor BINPATH in inc/configuration.inc.php na te gaan.<br>\n"
                  );

$ERRORS   = array('CREATE_DB_FAILED'      => 'Aanmaken van de databank <b>%s</b> is mislukt!',
                  'NO_DB_SELECTED'        => 'Gelieve eerst een databank naam te kiezen!<br>',
                  'WRONG_DB_SUFFIX'       => 'De databank moet eindigen op <b>%s</b>',
                  'DB_NOT_ALLOWED'        => 'Toegang tot <b>%s</b> is niet toegestaan.<br>'
                                             .'(kijk $ALLOWED_FILES en $ALLOWED_DIRS na in inc/configuration.php)',
                  'NO_IBASE_MODULE'       => '<b>Uw php installatie heeft geen ondersteuning voor Interbase!</b><br>'
                                            .'Hercompileer php en configureer --with-interbase[=DIR]<br>'
                                            .'of bewerk uw php.ini zodat interbase.so of interbase.dll geladen wordt.',
                  'DISABLED_CMD'          => 'Sql-commandos met "%s" zijn niet toegestaan door de configuratie!',
                  'BAD_BINPATH'           => "Unable to find the command <b>%s</b> !\n"
                                            ."Gelieve de waarde voor BINPATH in inc/configuration.inc.php na te gaan.\n"

                  );

// charset encoding  for html output
$charset = 'iso-8859-1';

?>